<?php
$mc = mysql_connect('localhost', '79998786090', '1122334455') or die('<center>Ошибка)</center>');
mysql_query('SET NAMES `utf8`', $mc);
mysql_select_db('79998786090', $mc) or die('Указанная таблица не найдена');


$reward_first_place = 7000;
$reward_second_place = 5000;
$reward_third_place = 4000;
$reward_fourth_place = 2900;
$reward_fifth_place = 2100;
$reward_sixth_place = 1500;
$reward_seventh_place = 1000;
$reward_eighth_place = 600;
$reward_ninth_place = 300;
$reward_tenth_place = 100;

$result = mysql_query("SELECT * FROM `users` WHERE `contest` > '0' ORDER BY `contest` DESC LIMIT 10");

$q = 1;

while ($user = mysql_fetch_assoc($result)) {

    $kont = mysql_fetch_assoc(mysql_query("SELECT * FROM `kont` WHERE `id_user` = '" . $user['id'] . "' && `id_kont` = '1' LIMIT 1"));
    if ($q == 1) {
        $text = 'Вы заняли  ' . $q . ' место в конкурсе Рефелов  и получили ' . $reward_first_place . ' <img src="/images/icons/almaz.png">';
        mysql_query("update `users` set     `almaz` = '" . ($user['almaz'] + $reward_first_place) . "'    where (`id` = '" . $user['id'] . "')");

    }
    if ($q == 2) {
        $text = 'Вы заняли  ' . $q . ' место в конкурсе Рефелов и получили ' . $reward_second_place . ' <img src="/images/icons/almaz.png">';
        mysql_query("update `users` set     `almaz` = '" . ($user['almaz'] + $reward_second_place) . "'    where (`id` = '" . $user['id'] . "')");

    }
    if ($q == 3) {
        $text = 'Вы заняли  ' . $q . ' место в конкурсе Рефелов и получили ' . $reward_third_place . '  <img src="/images/icons/almaz.png">';
        mysql_query("update `users` set     `almaz` = '" . ($user['almaz'] + $reward_third_place) . "'    where (`id` = '" . $user['id'] . "')");

    }

    if ($q == 4) {
        $text = 'Вы заняли  ' . $q . ' место в конкурсе Рефелов  и получили ' . $reward_fourth_place . ' <img src="/images/icons/almaz.png">';
        mysql_query("update `users` set     `almaz` = '" . ($user['almaz'] + $reward_first_place) . "'    where (`id` = '" . $user['id'] . "')");

    }
    if ($q == 5) {
        $text = 'Вы заняли  ' . $q . ' место в конкурсе Рефелов и получили ' . $reward_fifth_place . ' <img src="/images/icons/almaz.png">';
        mysql_query("update `users` set     `almaz` = '" . ($user['almaz'] + $reward_second_place) . "'    where (`id` = '" . $user['id'] . "')");

    }
    if ($q == 6) {
        $text = 'Вы заняли  ' . $q . ' место в конкурсе Рефелов и получили ' . $reward_sixth_place . '  <img src="/images/icons/almaz.png">';
        mysql_query("update `users` set     `almaz` = '" . ($user['almaz'] + $reward_third_place) . "'    where (`id` = '" . $user['id'] . "')");

    }

    if ($q == 7) {
        $text = 'Вы заняли  ' . $q . ' место в конкурсе Рефелов  и получили ' . $reward_seventh_place . ' <img src="/images/icons/almaz.png">';
        mysql_query("update `users` set     `almaz` = '" . ($user['almaz'] + $reward_first_place) . "'    where (`id` = '" . $user['id'] . "')");

    }
    if ($q == 8) {
        $text = 'Вы заняли  ' . $q . ' место в конкурсе Рефелов и получили ' . $reward_eighth_place . ' <img src="/images/icons/almaz.png">';
        mysql_query("update `users` set     `almaz` = '" . ($user['almaz'] + $reward_second_place) . "'    where (`id` = '" . $user['id'] . "')");

    }
    if ($q == 9) {
        $text = 'Вы заняли  ' . $q . ' место в конкурсе Рефелов и получили ' . $reward_ninth_place . '  <img src="/images/icons/almaz.png">';
        mysql_query("update `users` set     `almaz` = '" . ($user['almaz'] + $reward_third_place) . "'    where (`id` = '" . $user['id'] . "')");

    }

    if ($q == 10) {
        $text = 'Вы заняли  ' . $q . ' место в конкурсе Рефелов и получили ' . $reward_tenth_place . '  <img src="/images/icons/almaz.png">';
        mysql_query("update `users` set     `almaz` = '" . ($user['almaz'] + $reward_third_place) . "'    where (`id` = '" . $user['id'] . "')");

    }


    if ($kont['id_kont'] != 1) {
        mysql_query("INSERT INTO `kont` SET `id_user` = '1', `id_kont` = '" . $user['id'] . "', `time` = '" . time() . "'");
    }
    mysql_query("INSERT INTO `mail` SET `in` = '1', `out` = '" . $user['id'] . "', `text` = '$text' , `time` = '" . time() . "'");
    $q ++;


}
mysql_query("update `users` set `contest` = '0'");
